Package twisted :: Package conch :: Package ui :: Module ansi

[frames | no frames]

## Module twisted.conch.ui.ansi

Module to parse ANSI escape sequences

Maintainer: U(Jean-Paul Calderone <exarkun@twistedmatrix.com>

Classes
`AnsiParser` | Parser class for ANSI codes.
`ColorText` | Represents an element of text along with the texts colors and additional attributes.

Variable Summary
`dict` | `_setmap` = `{'A': ('H', 'f', 'A', 'B', 'C', 'D', 'R', 's',...`
`str` | `_sets` = `'HfABCDRsudGJKPhlpm'`

Variable Details

### _setmap

  Type:
    `dict`
  Value:

        {'A': ('H', 'f', 'A', 'B', 'C', 'D', 'R', 's', 'u', 'd', 'G'),
         'B': ('H', 'f', 'A', 'B', 'C', 'D', 'R', 's', 'u', 'd', 'G'),
         'C': ('H', 'f', 'A', 'B', 'C', 'D', 'R', 's', 'u', 'd', 'G'),
         'D': ('H', 'f', 'A', 'B', 'C', 'D', 'R', 's', 'u', 'd', 'G'),
         'G': ('H', 'f', 'A', 'B', 'C', 'D', 'R', 's', 'u', 'd', 'G'),
         'H': ('H', 'f', 'A', 'B', 'C', 'D', 'R', 's', 'u', 'd', 'G'),
         'J': ('J', 'K', 'P'),
         'K': ('J', 'K', 'P'),
        ...

### _sets

  Type:
    `str`
  Value:

        'HfABCDRsudGJKPhlpm'

Generated by Epydoc 2.0 on Sat May 15 20:08:01 2004 | http://epydoc.sf.net